from const.scale import *
from const.audio import *

ENEMY_LIST = {
    "tank green": {
        "name": "tank green",
        "weapon": "tank",
        "score": 40,
        "animation_speed": 15,
        "scale": 1.3,
        "speed": -3,
        "spawn_rate": 1,
        "health": 40,
        "shoot_offset": (80, 130),
        "prob_aim_player": 0.2,
        "prob_aim_straight": 0.5,
        "prob_aim_random": 0.3,
        "sfx_death": [AUDIO.SOUND["enemy_death_tank_1"]["name"], AUDIO.SOUND["enemy_death_tank_2"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["enemy_death_tank_1"]["gain"], AUDIO.SOUND["enemy_death_tank_2"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["enemy_hit_1"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["enemy_hit_1"]["gain"]]
    },
    "tank grey": {
        "name": "tank grey",
        "weapon": "tank",
        "score": 40,
        "animation_speed": 15,
        "scale": 1.3,
        "speed": -3,
        "spawn_rate": 1,
        "health": 40,
        "shoot_offset": (80, 130),
        "prob_aim_player": 0.2,
        "prob_aim_straight": 0.5,
        "prob_aim_random": 0.3,
        "sfx_death": [AUDIO.SOUND["enemy_death_tank_1"]["name"], AUDIO.SOUND["enemy_death_tank_2"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["enemy_death_tank_1"]["gain"], AUDIO.SOUND["enemy_death_tank_2"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["enemy_hit_1"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["enemy_hit_1"]["gain"]]
    },
    "tank grey burning": {
        "name": "tank grey burning",
        "weapon": "tank",
        "score": 40,
        "animation_speed": 6,
        "scale": 1.3,
        "speed": -3,
        "spawn_rate": 1,
        "health": 40,
        "shoot_offset": (80, 130),
        "prob_aim_player": 0.2,
        "prob_aim_straight": 0.5,
        "prob_aim_random": 0.3,
        "sfx_death": [AUDIO.SOUND["enemy_death_tank_1"]["name"], AUDIO.SOUND["enemy_death_tank_2"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["enemy_death_tank_1"]["gain"], AUDIO.SOUND["enemy_death_tank_2"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["enemy_hit_1"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["enemy_hit_1"]["gain"]]
    },
    "soldier desert": {
        "name": "soldier desert",
        "weapon": "soldier",
        "score": 12,
        "animation_speed": 15,
        "scale": 1,
        "speed": -2,
        "spawn_rate": 1,
        "health": 12,
        "shoot_offset": (20, 88),
        "prob_aim_player": 0.2,
        "prob_aim_straight": 0.2,
        "prob_aim_random": 0.6,
        "sfx_death": [AUDIO.SOUND["soldier_death_1"]["name"], AUDIO.SOUND["soldier_death_2"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["soldier_death_1"]["gain"], AUDIO.SOUND["soldier_death_2"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["player_hit"]["name"], AUDIO.SOUND["player_hit"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["player_hit"]["gain"], AUDIO.SOUND["player_hit"]["gain"]]
    },
    "soldier forest": {
        "name": "soldier forest",
        "weapon": "soldier",
        "score": 12,
        "animation_speed": 15,
        "scale": 1,
        "speed": -2,
        "spawn_rate": 1,
        "health": 12,
        "shoot_offset": (15, 115),
        "prob_aim_player": 0.2,
        "prob_aim_straight": 0.2,
        "prob_aim_random": 0.6,
        "sfx_death": [AUDIO.SOUND["soldier_death_1"]["name"], AUDIO.SOUND["soldier_death_2"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["soldier_death_1"]["gain"], AUDIO.SOUND["soldier_death_2"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["player_hit"]["name"], AUDIO.SOUND["player_hit"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["player_hit"]["gain"], AUDIO.SOUND["player_hit"]["gain"]]
    },
    "soldier ocean": {
        "name": "soldier ocean",
        "weapon": "soldier",
        "score": 12,
        "animation_speed": 15,
        "scale": 1,
        "speed": -2,
        "spawn_rate": 1,
        "health": 12,
        "shoot_offset": (10, 120),
        "prob_aim_player": 0.2,
        "prob_aim_straight": 0.2,
        "prob_aim_random": 0.6,
        "sfx_death": [AUDIO.SOUND["soldier_death_1"]["name"], AUDIO.SOUND["soldier_death_2"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["soldier_death_1"]["gain"], AUDIO.SOUND["soldier_death_2"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["player_hit"]["name"], AUDIO.SOUND["player_hit"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["player_hit"]["gain"], AUDIO.SOUND["player_hit"]["gain"]]
    },
    "soldier polar": {
        "name": "soldier polar",
        "weapon": "soldier",
        "score": 12,
        "animation_speed": 15,
        "scale": 1,
        "speed": -1.8,
        "spawn_rate": 1,
        "health": 12,
        "shoot_offset": (25, 118),
        "prob_aim_player": 0.2,
        "prob_aim_straight": 0.2,
        "prob_aim_random": 0.6,
        "sfx_death": [AUDIO.SOUND["soldier_death_1"]["name"], AUDIO.SOUND["soldier_death_2"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["soldier_death_1"]["gain"], AUDIO.SOUND["soldier_death_2"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["player_hit"]["name"], AUDIO.SOUND["player_hit"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["player_hit"]["gain"], AUDIO.SOUND["player_hit"]["gain"]]
    },
    "bear ak": {
        "name": "bear ak",
        "weapon": "bear ak",
        "score": 24,
        "animation_speed": 15,
        "scale": 1.4,
        "speed": -1,
        "spawn_rate": 0.3,
        "health": 24,
        "shoot_offset": (5, 145),
        "prob_aim_player": 0.6,
        "prob_aim_straight": 0.1,
        "prob_aim_random": 0.3,
        "sfx_death": [AUDIO.SOUND["bear_death_1"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["bear_death_1"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["bear_hit_1"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["bear_hit_1"]["gain"]]
    },
    "bear polar": {
        "name": "bear polar",
        "weapon": "bear ak",
        "score": 24,
        "animation_speed": 15,
        "scale": 1,
        "speed": -1.5,
        "spawn_rate": 0.3,
        "health": 24,
        "shoot_offset": (5, 145),
        "prob_aim_player": 0.6,
        "prob_aim_straight": 0.1,
        "prob_aim_random": 0.3,
        "sfx_death": [AUDIO.SOUND["bear_death_1"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["bear_death_1"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["bear_hit_1"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["bear_hit_1"]["gain"]]
    },
    "orca": {
        "name": "orca",
        "weapon": "orca",
        "score": 30,
        "animation_speed": 7.5,
        "scale": 1,
        "speed": -6,
        "spawn_rate": 0.4,
        "health": 30,
        "shoot_offset": (0, 0),
        "prob_aim_player": 0,
        "prob_aim_straight": 1,
        "prob_aim_random": 0,
        "sfx_death": [AUDIO.SOUND["orca_death_1"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["orca_death_1"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["player_hit"]["name"], AUDIO.SOUND["player_hit"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["player_hit"]["gain"], AUDIO.SOUND["player_hit"]["gain"]]
    },
    "martial artist": {
        "name": "martial artist",
        "weapon": "martial artist",
        "score": 30,
        "animation_speed": 55,
        "scale": 1,
        "speed": -10,
        "spawn_rate": 0.4,
        "health": 30,
        "shoot_offset": (0, 0),
        "prob_aim_player": 0,
        "prob_aim_straight": 1,
        "prob_aim_random": 0,
        "sfx_death": [AUDIO.SOUND["soldier_death_1"]["name"], AUDIO.SOUND["soldier_death_2"]["name"]],
        "sfx_death_gain": [AUDIO.SOUND["soldier_death_1"]["gain"], AUDIO.SOUND["soldier_death_2"]["gain"]],
        "sfx_hit": [AUDIO.SOUND["player_hit"]["name"], AUDIO.SOUND["player_hit"]["name"]],
        "sfx_hit_gain": [AUDIO.SOUND["player_hit"]["gain"], AUDIO.SOUND["player_hit"]["gain"]]
    }
}
