from const.audio import *
from const.weapon_fire import *
from const.scale import *


WEAPON_LIST = [
    {
        "name": "Revolver",
        "img_name": "weapon_revolver",
        "init_angle": -90,
        "width": 1280,
        "height": 720,
        "scale": 1,
        "center_x": 0,
        "center_y": 0,
        "fire_mode": FIRE_MODE.FULL_AUTO,
        "max_ammo": 6,
        "bullet_texture_amount": 39,
        "bullet_amount": 1,
        "bullet_spread": 3,
        "bullet_speed": 22,
        "bullet_speed_spread": 0.2,
        "bullet_damage": 12,
        "bullet_scale": .3,
        "shoot_time": 0.4,
        "reload_time": 2,
        "reload_rate": 6,
        "sfx_single_shot_list": [AUDIO.SOUND["weapon_revolver_1"]["name"], AUDIO.SOUND["weapon_revolver_2"]["name"], AUDIO.SOUND["weapon_revolver_3"]["name"]],
        "sfx_single_shot_vol_gain_list": [AUDIO.SOUND["weapon_revolver_1"]["gain"], AUDIO.SOUND["weapon_revolver_2"]["gain"], AUDIO.SOUND["weapon_revolver_3"]["gain"]]
    },
    {
        "name": "Rifle",
        "img_name": "weapon_ak",
        "init_angle": -90,
        "width": 1280,
        "height": 720,
        "scale": 1.5,
        "center_x": 0,
        "center_y": 0,
        "fire_mode": FIRE_MODE.FULL_AUTO,
        "max_ammo": 30,
        "bullet_texture_amount": 39,
        "bullet_amount": 1,
        "bullet_spread": 3,
        "bullet_speed": 25,
        "bullet_speed_spread": 0.2,
        "bullet_damage": 3,
        "bullet_scale": .3,
        "shoot_time": 0.08,
        "reload_time": 1.5,
        "reload_rate": 30,
        "sfx_single_shot_list": [AUDIO.SOUND["weapon_ak_1"]["name"], AUDIO.SOUND["weapon_ak_2"]["name"], AUDIO.SOUND["weapon_ak_3"]["name"]],
        "sfx_single_shot_vol_gain_list": [AUDIO.SOUND["weapon_ak_1"]["gain"], AUDIO.SOUND["weapon_ak_2"]["gain"], AUDIO.SOUND["weapon_ak_3"]["gain"]]
    },
    {
        "name": "Shotgun",
        "img_name": "weapon_shotgun",
        "init_angle": -90,
        "width": 1280,
        "height": 720,
        "scale": 1.5,
        "center_x": 0,
        "center_y": 0,
        "fire_mode": FIRE_MODE.FULL_AUTO,
        "max_ammo": 8,
        "bullet_texture_amount": 1,
        "bullet_amount": 12,
        "bullet_spread": 7,
        "bullet_speed": 18,
        "bullet_speed_spread": 2,
        "bullet_damage": 1,
        "bullet_scale": .2,
        "shoot_time": 0.6,
        "reload_time": 0.8,
        "reload_rate": 1,
        "sfx_single_shot_list": [AUDIO.SOUND["weapon_shotgun_1"]["name"], AUDIO.SOUND["weapon_shotgun_2"]["name"], AUDIO.SOUND["weapon_shotgun_3"]["name"]],
        "sfx_single_shot_vol_gain_list": [AUDIO.SOUND["weapon_shotgun_1"]["gain"], AUDIO.SOUND["weapon_shotgun_2"]["gain"], AUDIO.SOUND["weapon_shotgun_3"]["gain"]]
    },
    {
        "name": "RPG",
        "img_name": "weapon_rpg",
        "init_angle": -90,
        "width": 1280,
        "height": 720,
        "scale": 1.5,
        "center_x": 0,
        "center_y": 0,
        "fire_mode": FIRE_MODE.SEMI_AUTO,
        "max_ammo": 1,
        "bullet_texture_amount": 24,
        "bullet_amount": 1,
        "bullet_spread": 3,
        "bullet_speed": 21,
        "bullet_speed_spread": 0.5,
        "bullet_damage": 50,
        "bullet_scale": 1.2,
        "shoot_time": 1,
        "reload_time": 2.5,
        "reload_rate": 1,
        "sfx_single_shot_list": [AUDIO.SOUND["weapon_rpg_1"]["name"], AUDIO.SOUND["weapon_rpg_2"]["name"]],
        "sfx_single_shot_vol_gain_list": [AUDIO.SOUND["weapon_rpg_1"]["gain"], AUDIO.SOUND["weapon_rpg_2"]["gain"]]
    }
]
